lnmp0.9+wordpress网站部分报502错误-阿里云开发者社区

开发者社区> 开发与运维> 正文
登录阅读全文

lnmp0.9+wordpress网站部分报502错误

简介:

背景快过年了,最近公司事真多,忙的不亦乐乎,瞎忙。外网一台服务器,安装的是lnmp0.9+wordpress.最近出现两个问题??(1)后台打开插件和外观选项是就报502错误,其它选项都正常的。(2)前台页面也有错误?不知道是什么原因啊?? 真是诡异啊??


wKiom1LiL4qzgl0rAAHmVrvZKpk456.jpg




wKioL1LiL2aTguTHAAEbfKlSsFA571.jpg



解决方法:


前台:主要是安装了polyland这个语言插件的问题,把 /home/magme10006/wp-content/plugins/polylang/include/wpml-compat.php 此文件的79行

$polylang->get_translation_url()  更改为————————>  $polylang->links->get_translation_url()






后台502错误:



思路和方法:

1. 开始修改服务器,php,nginx等参数,始终解决不了。头发又白了一根。

2. 把线上数据下载到本地测试服务器上,测试也有问题。他大爷的。

3.最后把lnmp0.9版本升级到lnmp1.0版本, 记得软件都要选择最新的, 最后终于搞定。


总结:其实说白了就是php版本兼容性问题。



升级到lnmp1.0后,遇到几个问题



1). mysql 启动不了。????

wKiom1LiMMqDLohhAAFlEPzUWQw077.jpg


解决方法:vim /etc/init.d/mysql 中,  

把basedir=/usr/local/mysql和datadir=/usr/local/mysql/var  

两个mysql相应目录给加上去即可。




 2).  php启动不了。?????


wKioL1LiMQbh7C9jAAGxgRbK2cA900.jpg


解决方法:这是由于vim /usr/local/php/etc/php.ini文件中, 有二行重复了。

把[Zend Optimizer]

zend_extension=/usr/local/zend/ZendGuardLoader.so

两行注释掉或者删除就行了。



wKiom1LiMiXj6Eb4AADehd_wY_I286.jpg



最后上一张图

wKiom1LiMqCDg_IEAAOmOxvduvM022.jpg



本文转自pizibaidu 51CTO博客,原文链接:http://blog.51cto.com/pizibaidu/1354614,如需转载请自行联系原作者

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

分享:
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

其他文章
最新文章
相关文章